@echo off

:: getOpenFileName (native file dialog style)
set CMD=qtcmd ^
  --getOpenFileName ^
  --title "Select a file"

for /f "delims=" %%V in ('%CMD%') do set "FILE=%%V"
echo File: %FILE%

:: getOpenFileName (cleanlooks style)
set CMD=qtcmd ^
  --getOpenFileName ^
  --title "Select a file" ^
  --cleanlooks ^
  --options 16

for /f "delims=" %%V in ('%CMD%') do set "FILE=%%V"
echo File: %FILE%

:: getOpenFileNames (native file dialog style)
set CMD=qtcmd ^
  --getOpenFileNames ^
  --title "Select one or more files"

for /f "delims=" %%V in ('%CMD%') do set "FILES=%%V"
echo Files: %FILES%

:: getOpenFileNames (cleanlooks style)
set CMD=qtcmd ^
  --getOpenFileNames ^
  --title "Select one or more files" ^
  --cleanlooks ^
  --options 16

for /f "delims=" %%V in ('%CMD%') do set "FILES=%%V"
echo Files: %FILES%

echo.
pause
